Subject: Re: bug#76394: mouse-face property not working in tab-bar

From: Ship Mints <[email-masked]>
Date: Thu, 27 Feb 2025 13:30:59 -0500

Thanks for checking out the patch.  Try this:

(defun my/tab-bar-tab-name-format-function (tab i)
  (propertize
   (tab-bar-tab-name-format-default tab i)
   'mouse-face '(:inverse-video t))) ; or a named face
(setopt tab-bar-tab-name-format-function
#'my/tab-bar-tab-name-format-function)

And move the mouse over the tab. It should invert. It does for me.

On Thu, Feb 27, 2025 at 1:23 PM Juri Linkov <[email-masked]> wrote:

> > First-cut patch for mouse-face handling on tab-bar items.  I left the
> > default handling code in place not being sure what it really is intended
> to
> > do (which appears to be nothing?).  It looks copied from
> > note_tool_bar_highlight but I wasn't sure.  (xdisp internals are fun.
> It's
> > a work of art.)
>
> Thanks.  What is the status of this patch?  I tried it out,
> but can't see where is handles mouse-face.
>